This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1298503 - remmina rdp plugin 1.2.0-rcgit.3 doesn`t work with wayland
remmina rdp plugin 1.2.0-rcgit.3 doesn`t work with wayland
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: remmina-plugins (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 04:52 EST by steemandlinux
Modified: 2016-01-16 13:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-16 13:07:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description steemandlinux 2016-01-14 04:52:41 EST
Description of problem:

remmina-1.2.0-rcgit.3 is old version. It doesn`t work with wayland.

Version-Release number of selected component (if applicable):

remmina-plugins-rdp-1.2.0-0.8.git.b3237e8.fc23.x86_64

How reproducible:


Steps to Reproduce:
1. Start gnome on wayland
2. Run remmina
3. Connect to RDP session

Actual results:

Remmina plugin RDP (type=Protocol) registered.
Remmina plugin RDPF (type=File) registered.
Remmina plugin RDPS (type=Preference) registered.
Remmina plugin VNC (type=Protocol) registered.
Remmina plugin VNCI (type=Protocol) registered.
Remmina plugin SFTP (type=Protocol) registered.
Remmina plugin SSH (type=Protocol) registered.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
[12:45:18:367] [737:-2042550528] [INFO][com.freerdp.client.common.cmdline] - loading channel rdpdr
[12:45:18:367] [737:-2042550528] [INFO][com.freerdp.client.common.cmdline] - loading channel rdpsnd
[12:45:18:367] [737:-2042550528] [INFO][com.freerdp.client.common.cmdline] - loading channel cliprdr
[12:45:18:425] [737:-2042550528] [ERROR][com.freerdp.locale] - Unable to get current timezone rule
[12:45:18:470] [737:-2056190208] [INFO][com.freerdp.channels.rdprd.client] - Loading device service drive (static)

Additional info:

It`s work with the wayland in latest git version of xfreedrp and remmina.
Comment 1 Pavel Alexeev 2016-01-16 13:07:29 EST
Thank you very much for the bugreport and willing free software better.

Unfortunately most of such problems known issues. But I can't update remmina in stable Fedora branches. Details you may read in description of that copr repo https://copr.fedoraproject.org/coprs/hubbitus/remmina-next/ . It also contains fresh versions of rfeerdp and remmina. I strongly recommend you try it. You may also try install packages from rawhide (may have unstable dependencies).

If packages in copr also does not solve you problem - please leave comments and reopen issue.

Also it is required to provide steps to reproduce problem.

Note You need to log in before you can comment on or make changes to this bug.